Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class URIPattern

    java.lang.Object
      |
      +--com.ibm.awb.misc.URIPattern

public class URIPattern
extends java.lang.Object

The `URIPattern` class represents a URI pattern.

Version:
  1.00 $Date: 2001/07/28 06:33:23 $
Author:
  ONO Kouichi

Constructor Summary
`URIPattern(java.lang.String pattern)`
`URIPattern(java.net.URL url)`

Method Summary
`static java.lang.String` | `canonicalFilename(java.lang.String filename)`
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `equals(java.lang.String protocol, java.lang.String host, PortPattern ppat, java.lang.String file)`
`boolean` | `equals(URIPattern uripat)`
`java.lang.String` | `getFile()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getPattern()`
`java.lang.String` | `getPort()`
`PortPattern` | `getPortPattern()`
`java.lang.String` | `getProtocol()`
`boolean` | `isMatch(java.net.URL url)`
`static void` | `main(java.lang.String[] arg)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URIPattern

    public URIPattern(java.lang.String pattern)
               throws MalformedURIPatternException

### URIPattern

    public URIPattern(java.net.URL url)
               throws MalformedURIPatternException

Method Detail

### canonicalFilename

    public static final java.lang.String canonicalFilename(java.lang.String filename)

### equals

    public boolean equals(URIPattern uripat)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.String protocol,
                          java.lang.String host,
                          PortPattern ppat,
                          java.lang.String file)

### getFile

    public java.lang.String getFile()

### getHost

    public java.lang.String getHost()

### getPattern

    public java.lang.String getPattern()

### getPort

    public java.lang.String getPort()

### getPortPattern

    public PortPattern getPortPattern()

### getProtocol

    public java.lang.String getProtocol()

### isMatch

    public boolean isMatch(java.net.URL url)

### main

    public static void main(java.lang.String[] arg)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD